## ayatana-indicator-session 0.4.1

=== CMakeLists.txt ===
project (ayatana-indicator-session C CXX)
cmake_minimum_required (VERSION 2.8.9)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set (PROJECT_VERSION "0.4.1")
set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE "ayatana-indicator-session")

option (enable_tests "Build the package's automatic tests." ON)
option (enable_lcov "Generate lcov code coverage reports." ON)

##
##  GNU standard installation directories
## 
include (GNUInstallDirs)
if (EXISTS "/etc/debian_version") # Workaround for libexecdir on debian
  set (CMAKE_INSTALL_LIBEXECDIR "${CMAKE_INSTALL_LIBDIR}")
  set (CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
endif ()
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")


##
##  Check for prerequisites
##
find_package (PkgConfig REQUIRED)
include (FindPkgConfig)
pkg_check_modules (SERVICE REQUIRED
                   glib-2.0>=2.36
                   gio-unix-2.0>=2.36)
include_directories (${SERVICE_INCLUDE_DIRS})

set (CC_WARNING_ARGS " -Wall -pedantic -Wextra -Wno-missing-field-initializers")

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (clean-coverage
                   COMMAND find ${CMAKE_BINARY_DIR} -name '*.gcda' | xargs rm -f)

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/src)

# testing & coverage
if (${enable_tests})
  set (GTEST_SOURCE_DIR /usr/src/gtest/src)
  set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
  set (GTEST_LIBS -lpthread)
  enable_testing ()
  if (${enable_lcov})
    include(GCov)
  endif ()
endif ()

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)
if (${enable_tests})
  add_subdirectory (tests)
endif ()

=== src/CMakeLists.txt ===
add_subdirectory (backend-dbus)

add_library (libayatanaindicatorsessionservice STATIC
             actions.c
             actions.h
             guest.c
             guest.h
             recoverable-problem.c
             recoverable-problem.h
             service.c
             service.h
             users.c
             users.h
             utils.c
             utils.h)
include_directories(${SERVICE_INCLUDE_DIRS})
link_directories(${SERVICE_LIBRARY_DIRS})

set (SERVICE_EXEC "ayatana-indicator-session-service")
set_property (SOURCE main.c
              APPEND PROPERTY COMPILE_DEFINITIONS
              GETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
              GNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
add_executable (${SERVICE_EXEC} main.c)
target_link_libraries (${SERVICE_EXEC} libayatanaindicatorsessionservice backenddbus ${SERVICE_LIBRARIES} ${GCOV_LIBS})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

# common properties
set_property (TARGET libayatanaindicatorsessionservice ${SERVICE_EXEC}
              APPEND_STRING PROPERTY COMPILE_FLAGS
              " -g ${CC_WARNING_ARGS} ${GCOV_FLAGS}")

=== debian/changelog ===
ayatana-indicator-session (0.4.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Jan 2018 00:47:53 +0100

ayatana-indicator-session (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Process with wrap-and-sort -t.
  * debian/patches:
    + Drop 0001-systemd-unit-file-Only-build-install-if-systemd-is-a.patch.
      Included in this upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 13:01:27 +0200

ayatana-indicator-session (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/{control,copyright,watch}:
    + Update to new upstream URLs.
  * debian/copyright:
    + Auto-generate copyright.in file.
  * debian/control:
    + Add to R as an alternative for mate-indicator-applet:
      xfce4-indicator-plugin, indicator-renderer.
    + Modify B-D for systemd: only available/required on [linux-any].
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/patches:
    + Add 0001-systemd-unit-file-Only-build-install-if-systemd-is-a.patch.
      Create systemd unit file only if systemd is available at build-time.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Oct 2017 21:15:37 +0200

ayatana-indicator-session (0.4.0-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #863825).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 May 2017 16:59:13 +0200

=== debian/control ===
Source: ayatana-indicator-session
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: cmake,
               dbus,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               python,
               systemd [linux-any],
Standards-Version: 4.1.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/ayatana-indicator-session.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/ayatana-indicator-session.git

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common,
         gnome-settings-daemon | mate-settings-daemon,
         gsettings-desktop-schemas,
         systemd,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gnome-screensaver | mate-screensaver,
            mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            unity-control-center | gnome-control-center | mate-control-center,
            unity-control-center-signon | gnome-control-center-signon | mate-control-center,
            yelp,
Suggests: apport,
          lightdm,
          zenity,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status.   Switching to another user.  Starting a guest session.  Or
 controlling the status of their own session.
 .
 It requires some way to be hosted into a panel. For the MATE Panel the
 appropriate package is mate-indicator-applet. For the Xfce Panel the
 appropriate package is xfce4-indicator-plugin.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_install:
	find debian/ayatana-indicator-session/usr/lib -name *.la -delete
	find debian/ayatana-indicator-session/usr/lib -name *.a -delete
	dh_install --fail-missing

# Hack as it seems it's not possible to easy run that under dbus-test-runner
override_dh_auto_test:
	env -u LD_PRELOAD dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-session 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "0.4.1")
+set (PROJECT_VERSION "0.4.2")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")

=== data/CMakeLists.txt ===
include (UseGSettings)

##
##  GSettings schema
##

set (SCHEMA_NAME "org.ayatana.indicator.session.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")

# generate the .xml file using intltool
set (ENV{LC_ALL} "C") 
execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")

# let UseGSettings do the rest
add_schema (${SCHEMA_FILE})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")

    ##
    ##  Upstart systemd override Job File
    ##

    set (UPSTART_SYSTEMD_OVERRIDE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
    message (STATUS "${UPSTART_SYSTEMD_OVERRIDE_DIR} is the Upstart override Job File for systemd dir")

    install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.override"
             DESTINATION "${UPSTART_SYSTEMD_OVERRIDE_DIR}")

endif()

##
##  Upstart Config File
##

# where to install
set (UPSTART_JOB_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/sessions")
message (STATUS "${UPSTART_JOB_DIR} is the Upstart Job install dir")

set (UPSTART_JOB_NAME "${CMAKE_PROJECT_NAME}.conf")
set (UPSTART_JOB_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_JOB_NAME}")
set (UPSTART_JOB_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_JOB_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${UPSTART_JOB_FILE_IN}" "${UPSTART_JOB_FILE}")

# install it
install (FILES "${UPSTART_JOB_FILE}"
         DESTINATION "${UPSTART_JOB_DIR}")


##
##  XDG Autostart Config File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the XDG Autostart install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##
##  Upstart XDG Autostart Override
##

# where to install
set (UPSTART_XDG_AUTOSTART_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/upstart/xdg/autostart")
message (STATUS "${UPSTART_XDG_AUTOSTART_DIR} is the Upstart XDG autostart override dir")

set (UPSTART_XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.upstart.desktop")
set (UPSTART_XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_XDG_AUTOSTART_NAME}")
set (UPSTART_XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${UPSTART_XDG_AUTOSTART_FILE_IN}" "${UPSTART_XDG_AUTOSTART_FILE}")

# install it
install (FILES "${UPSTART_XDG_AUTOSTART_FILE}"
         DESTINATION "${UPSTART_XDG_AUTOSTART_DIR}"
         RENAME "${XDG_AUTOSTART_NAME}")

##
##  Ayatana Indicator File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicator install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.session")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")


##
##  Icons
##

# where to install
set (ICON_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/icons/hicolor")
message (STATUS "${ICON_DIR} is the Icon install dir")

install (DIRECTORY icons
         icons/16x16
         icons/22x22
         icons/24x24
         icons/32x32
         icons/scalable
         DESTINATION "${ICON_DIR}"
         FILES_MATCHING PATTERN "*.png" PATTERN "*.svg")

install(CODE "execute_process (COMMAND gtk-update-icon-cache -t -f ${ICON_DIR})"
        CODE "message (STATUS \"Updating icon cache\")")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 set_property (SOURCE main.c
               APPEND PROPERTY COMPILE_DEFINITIONS
               GETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
-              GNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
+              LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
 add_executable (${SERVICE_EXEC} main.c)
 target_link_libraries (${SERVICE_EXEC} libayatanaindicatorsessionservice backenddbus ${SERVICE_LIBRARIES} ${GCOV_LIBS})
 install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

=== tests/CMakeLists.txt ===
# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the schemas our tests use (ayatana-indicator-session's, lockdown, media-keys)
# into a gschemas.compiled file in this directory, and help the tests to find
# that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.session.gschema.xml
                            ${CMAKE_SOURCE_DIR}/tests/org.ayatana.indicator.session.backendmock.gschema.xml
                            ${CMAKE_SOURCE_DIR}/tests/org.gnome.desktop.lockdown.gschema.xml
                            ${CMAKE_SOURCE_DIR}/tests/org.gnome.settings-daemon.plugins.media-keys.gschema.xml
                    COMMAND cp -f ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND cp -f ${CMAKE_SOURCE_DIR}/tests/*gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

# DBus Activation
configure_file (ayatana-indicator-session.service.in ayatana-indicator-session.service)
add_definitions(-DINDICATOR_SERVICE_DIR="${CMAKE_CURRENT_BINARY_DIR}")

# look for hearder in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR} ${SERVICE_INCLUDE_DIRS})

# backendmock
add_library (backendmock STATIC
             backend-mock-actions.c 
             backend-mock-actions.h
             backend-mock.c
             backend-mock.h
             backend-mock-guest.c
             backend-mock-guest.h
             backend-mock-users.c
             backend-mock-users.h)
set_target_properties (backendmock PROPERTIES COMPILE_FLAGS " ${CC_WARNING_ARGS} -g")

# test-service
add_executable (test-service
                test-service.cc
                gschemas.compiled)
set_target_properties (test-service PROPERTIES COMPILE_FLAGS " ${CC_WARNING_ARGS} -std=c++0x -g")
add_test (test-service test-service)
add_dependencies (test-service libayatanaindicatorsessionservice backendmock)
target_link_libraries (test-service libayatanaindicatorsessionservice backendmock gtest ${SERVICE_LIBRARIES} ${GTEST_LIBS})

add_subdirectory (backend-dbus)

=== debian/changelog ===
ayatana-indicator-session (0.4.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 16:51:26 +0200

ayatana-indicator-session (0.4.2-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Downgrade various packages from R to S (to avoid an overfull stack of
      packages pulled in via Recommends: field). Addresses #901711).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Aug 2018 23:00:57 +0200

ayatana-indicator-session (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/rules:
    + Migrate from dh_install --fail-missing to dh_missing --fail-missing.
  * debian/copyright:
    + Use secure URI for copyright format reference.
    + Update auto-generated copyright.in reference template.
    + Update copyright attributions.
  * debian/watch:
    + Use secure URL to obtain upstream sources.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Feb 2018 22:00:36 +0100

=== debian/control ===
Source: ayatana-indicator-session
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: cmake,
               dbus,
               debhelper (>= 11~),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               python,
               systemd [linux-any],
Standards-Version: 4.1.3
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common,
         gsettings-desktop-schemas,
         systemd,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: yelp,
Suggests: apport,
          gnome-screensaver | mate-screensaver,
          mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
          unity-control-center | gnome-control-center | mate-control-center,
          unity-control-center-signon | gnome-control-center-signon | mate-control-center,
          lightdm,
          zenity,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status.   Switching to another user.  Starting a guest session.  Or
 controlling the status of their own session.
 .
 It requires some way to be hosted into a panel. For the MATE Panel the
 appropriate package is mate-indicator-applet. For the Xfce Panel the
 appropriate package is xfce4-indicator-plugin.

## ayatana-indicator-session 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "0.4.2")
+set (PROJECT_VERSION "0.4.3")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")
 
@@ -31,6 +31,13 @@
                    glib-2.0>=2.36
                    gio-unix-2.0>=2.36)
 include_directories (${SERVICE_INCLUDE_DIRS})
+
+set(URL_DISPATCHER_1_REQUIRED_VERSION 1)
+pkg_check_modules(
+  URLDISPATCHER
+  url-dispatcher-1>=${URL_DISPATCHER_1_REQUIRED_VERSION}
+)
+include_directories(${URLDISPATCHER_INCLUDE_DIRS})
 
 set (CC_WARNING_ARGS " -Wall -pedantic -Wextra -Wno-missing-field-initializers")

=== src/backend-dbus/CMakeLists.txt ===
include (GdbusCodegen)

set(BACKEND_GENERATED_SOURCES
)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-display-manager
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.DisplayManager.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-webcredentials
                   org.ayatana.indicators
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.indicators.webcredentials.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-accounts
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Accounts.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-user
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Accounts.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-manager
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.Manager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-seat
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-user
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-screen-saver
                   org
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.ScreenSaver.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-session-manager
                   org
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-end-session-dialog
                   org.gnome.SessionManager
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.EndSessionDialog.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES desktop-session
                   org.ayatana
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.Desktop.Session.xml)

set (SOURCES actions.c guest.c users.c backend-dbus.c utils.c)

# add warnings/coverage info on handwritten files
# but not the autogenerated ones...
set_source_files_properties (${SOURCES}
                             PROPERTIES COMPILE_FLAGS " -g ${CC_WARNING_ARGS} ${GCOV_FLAGS}")

# add the bin dir to our include path s.t. our code can find the autogenerated header files
include_directories (${CMAKE_CURRENT_BINARY_DIR} ${SERVICE_INCLUDE_DIRS})

add_library (backenddbus STATIC ${SOURCES} ${BACKEND_GENERATED_SOURCES})

=== tests/backend-dbus/CMakeLists.txt ===
# build libgtest
add_library (gtest STATIC 
             ${GTEST_SOURCE_DIR}/gtest-all.cc 
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
set_target_properties (gtest PROPERTIES INCLUDE_DIRECTORIES
                       ${GTEST_INCLUDE_DIR})

SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -g ${CC_WARNING_ARGS}")

# build desktopmock
add_library (desktopmock STATIC
             mock-accounts.cc
             mock-accounts.h
             mock-login1-manager.cc
             mock-login1-manager.h
             mock-login1-seat.cc
             mock-login1-seat.h
             mock-display-manager-seat.cc
             mock-display-manager-seat.h
             mock-end-session-dialog.cc
             mock-end-session-dialog.h
             mock-object.cc
             mock-object.h
             mock-screen-saver.cc
             mock-screen-saver.h
             mock-unity-session.cc
             mock-unity-session.h
             mock-session-manager.cc
             mock-session-manager.h
             mock-user.cc
             mock-user.h
             mock-webcredentials.cc
             mock-webcredentials.h)

include_directories (${SERVICE_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_SOURCE_DIR}/tests)

# test the Actions class
add_executable (test-actions
                test-actions.cc)
add_test (test-actions test-actions)
set_tests_properties (test-actions PROPERTIES COMPILE_FLAGS "${SERVICE_CFLAGS}")
target_link_libraries (test-actions desktopmock backenddbus libayatanaindicatorsessionservice gtest ${SERVICE_LDFLAGS} ${GTEST_LIBS} ${GCOV_LIBS})

# test the Guest class
add_executable (test-guest
                test-guest.cc)
add_test (test-guest test-guest)
set_tests_properties (test-guest PROPERTIES COMPILE_FLAGS "${SERVICE_CFLAGS}")
target_link_libraries (test-guest desktopmock backenddbus libayatanaindicatorsessionservice gtest ${SERVICE_LDFLAGS} ${GTEST_LIBS} ${GCOV_LIBS})

# test the Users class
add_executable (test-users
                test-users.cc)
add_test (test-users test-users)
set_tests_properties (test-users PROPERTIES COMPILE_FLAGS "${SERVICE_CFLAGS}")
target_link_libraries (test-users desktopmock backenddbus libayatanaindicatorsessionservice gtest ${SERVICE_LDFLAGS} ${GTEST_LIBS} ${GCOV_LIBS})

=== debian/changelog ===
ayatana-indicator-session (0.4.3-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Feb 2019 16:11:59 +0100

ayatana-indicator-session (0.4.3-2) unstable; urgency=medium

  * debian/control:
    + Add B/R for indicator-session. The packages a-i-session and i-session
      share the same artwork files. (LP: #1747183, #1775072, #1778149).
    + Bump Standards-Version: to 4.2.1. No changes neeed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Nov 2018 08:52:35 +0100

ayatana-indicator-session (0.4.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Oct 2018 20:09:20 +0100

ayatana-indicator-session (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standars-Version: to 4.2.0. No changes needed.
  * debian/docs:
    + Add file. Install README.md.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 17:33:37 +0200

ayatana-indicator-session (0.4.2-3) unstable; urgency=medium

  * debian/patches:
    + Add 1001_fix-incompatible-pointer-type-on-some-archs.patch. Type cast
      g_object_ref connection to GDBusConnection pointer type again. Should
      fix FTBFS on some architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 15:48:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,10 @@
 override_dh_install:
 	find debian/ayatana-indicator-session/usr/lib -name *.la -delete
 	find debian/ayatana-indicator-session/usr/lib -name *.a -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 # Hack as it seems it's not possible to easy run that under dbus-test-runner
 override_dh_auto_test:

## ayatana-indicator-session 0.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "0.4.3")
+set (PROJECT_VERSION "0.4.4")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")

=== debian/changelog ===
ayatana-indicator-session (0.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Drop from B-D: python. (Closes: #936177).
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/upstream/metadata:
    + Add DEP-12 compliant metadata file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Nov 2019 10:23:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Build-Depends: cmake,
                dbus,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libglib2.0-dev (>= 2.36),
                libgtest-dev,
-               python,
                systemd [linux-any],
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session
@@ -32,6 +32,8 @@
           unity-control-center-signon | gnome-control-center-signon | mate-control-center,
           lightdm,
           zenity,
+Breaks: indicator-session,
+Replaces: indicator-session,
 Description: Ayatana Indicator showing session management, status and user switching
  This Ayatana Indicator is designed to be placed on the right side of a
  panel and give the user easy control for changing their instant message

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-session/ayatana-indicator-session-(.+)\.tar\.gz

## ayatana-indicator-session 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "0.4.4")
+set (PROJECT_VERSION "0.8.0")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")
 
@@ -14,10 +14,6 @@
 ##  GNU standard installation directories
 ## 
 include (GNUInstallDirs)
-if (EXISTS "/etc/debian_version") # Workaround for libexecdir on debian
-  set (CMAKE_INSTALL_LIBEXECDIR "${CMAKE_INSTALL_LIBDIR}")
-  set (CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
-endif ()
 set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

=== debian/changelog ===
ayatana-indicator-session (0.8.0-2) unstable; urgency=medium

  * debian/rules:
    + Drop dh_install override. Not needed anymore (since service moved to
      libexec dir). Fixes FTBFS on hurd-i386.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Aug 2020 21:10:26 +0200

ayatana-indicator-session (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Versioned D on ayatana-indicator-common (>= 0.8.0).
    + Bump DH compat level to version 13.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 09:26:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Build-Depends: cmake,
                dbus,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libglib2.0-dev (>= 2.36),
                libgtest-dev,
                systemd [linux-any],
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
@@ -19,7 +19,7 @@
 
 Package: ayatana-indicator-session
 Architecture: any
-Depends: ayatana-indicator-common,
+Depends: ayatana-indicator-common (>= 0.8.0),
          gsettings-desktop-schemas,
          systemd,
          ${misc:Depends},

## ayatana-indicator-session 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "0.8.0")
+set (PROJECT_VERSION "0.8.1")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -37,38 +37,7 @@
     install (FILES "${SYSTEMD_USER_FILE}"
              DESTINATION "${SYSTEMD_USER_DIR}")
 
-    ##
-    ##  Upstart systemd override Job File
-    ##
-
-    set (UPSTART_SYSTEMD_OVERRIDE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
-    message (STATUS "${UPSTART_SYSTEMD_OVERRIDE_DIR} is the Upstart override Job File for systemd dir")
-
-    install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.override"
-             DESTINATION "${UPSTART_SYSTEMD_OVERRIDE_DIR}")
-
 endif()
-
-##
-##  Upstart Config File
-##
-
-# where to install
-set (UPSTART_JOB_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/sessions")
-message (STATUS "${UPSTART_JOB_DIR} is the Upstart Job install dir")
-
-set (UPSTART_JOB_NAME "${CMAKE_PROJECT_NAME}.conf")
-set (UPSTART_JOB_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_JOB_NAME}")
-set (UPSTART_JOB_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_JOB_NAME}.in")
-
-# build it
-set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
-configure_file ("${UPSTART_JOB_FILE_IN}" "${UPSTART_JOB_FILE}")
-
-# install it
-install (FILES "${UPSTART_JOB_FILE}"
-         DESTINATION "${UPSTART_JOB_DIR}")
-
 
 ##
 ##  XDG Autostart Config File
@@ -89,27 +58,6 @@
 # install it
 install (FILES "${XDG_AUTOSTART_FILE}"
          DESTINATION "${XDG_AUTOSTART_DIR}")
-
-##
-##  Upstart XDG Autostart Override
-##
-
-# where to install
-set (UPSTART_XDG_AUTOSTART_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/upstart/xdg/autostart")
-message (STATUS "${UPSTART_XDG_AUTOSTART_DIR} is the Upstart XDG autostart override dir")
-
-set (UPSTART_XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.upstart.desktop")
-set (UPSTART_XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_XDG_AUTOSTART_NAME}")
-set (UPSTART_XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_XDG_AUTOSTART_NAME}.in")
-
-# build it
-set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
-configure_file ("${UPSTART_XDG_AUTOSTART_FILE_IN}" "${UPSTART_XDG_AUTOSTART_FILE}")
-
-# install it
-install (FILES "${UPSTART_XDG_AUTOSTART_FILE}"
-         DESTINATION "${UPSTART_XDG_AUTOSTART_DIR}"
-         RENAME "${XDG_AUTOSTART_NAME}")
 
 ##
 ##  Ayatana Indicator File

=== debian/changelog ===
ayatana-indicator-session (0.8.1-2) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Mention desktop envs that support system indicators in LONG_DESCRIPTION.
    + Improve LONG_DESCRIPTION.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Nov 2020 15:10:45 +0100

ayatana-indicator-session (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:16:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
-Uploaders: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Mike Gabriel <sunweaver@debian.org>,
+           Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
                dbus,
                debhelper-compat (= 13),
@@ -37,9 +38,8 @@
 Description: Ayatana Indicator showing session management, status and user switching
  This Ayatana Indicator is designed to be placed on the right side of a
  panel and give the user easy control for changing their instant message
- status.   Switching to another user.  Starting a guest session.  Or
- controlling the status of their own session.
+ status, switching to another user, starting a guest session, etc.
  .
- It requires some way to be hosted into a panel. For the MATE Panel the
- appropriate package is mate-indicator-applet. For the Xfce Panel the
- appropriate package is xfce4-indicator-plugin.
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ etc.).

## ayatana-indicator-session 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "0.8.1")
+set (PROJECT_VERSION "0.8.2")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
 
 # generate the .xml file using intltool
-set (ENV{LC_ALL} "C") 
+set (ENV{LC_ALL} "C")
 execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
 
 # let UseGSettings do the rest
@@ -82,7 +82,7 @@
 set (ICON_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/icons/hicolor")
 message (STATUS "${ICON_DIR} is the Icon install dir")
 
-install (DIRECTORY icons
+install (DIRECTORY
          icons/16x16
          icons/22x22
          icons/24x24

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,13 +16,17 @@
 include_directories(${SERVICE_INCLUDE_DIRS})
 link_directories(${SERVICE_LIBRARY_DIRS})
 
+if(URLDISPATCHER_FOUND)
+    add_definitions( -DHAS_URLDISPATCHER )
+endif()
+
 set (SERVICE_EXEC "ayatana-indicator-session-service")
 set_property (SOURCE main.c
               APPEND PROPERTY COMPILE_DEFINITIONS
               GETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
               LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
 add_executable (${SERVICE_EXEC} main.c)
-target_link_libraries (${SERVICE_EXEC} libayatanaindicatorsessionservice backenddbus ${SERVICE_LIBRARIES} ${GCOV_LIBS})
+target_link_libraries (${SERVICE_EXEC} libayatanaindicatorsessionservice backenddbus ${SERVICE_LIBRARIES} ${GCOV_LIBS} ${URLDISPATCHER_LIBRARIES})
 install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})
 
 # common properties

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -41,13 +41,16 @@
              backend-mock-users.h)
 set_target_properties (backendmock PROPERTIES COMPILE_FLAGS " ${CC_WARNING_ARGS} -g")
 
+add_custom_target(
+            gschemas-compiled ALL DEPENDS gschemas.compiled
+)
+
 # test-service
 add_executable (test-service
-                test-service.cc
-                gschemas.compiled)
+                test-service.cc)
 set_target_properties (test-service PROPERTIES COMPILE_FLAGS " ${CC_WARNING_ARGS} -std=c++0x -g")
 add_test (test-service test-service)
-add_dependencies (test-service libayatanaindicatorsessionservice backendmock)
+add_dependencies (test-service libayatanaindicatorsessionservice backendmock gschemas-compiled)
 target_link_libraries (test-service libayatanaindicatorsessionservice backendmock gtest ${SERVICE_LIBRARIES} ${GTEST_LIBS})
 
 add_subdirectory (backend-dbus)

=== debian/changelog ===
ayatana-indicator-session (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001_Switch-from-URL-Dispatcher-to-Lomiri-URL-Dispatcher.patch.
      Switch from URL Dispatcher to Lomiri URL Dispatcher.
    + Add 0002_improve-parallel-build-in-backend-dbus.patch. Fix parallel
      builds where cmake tried to build unit tests before running the
      gdbus-codegen commands in src/backend-dbus/.
  * debian/control:
    + Add to B-D: liblomiri-url-dispatcher-dev.
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Fix capitalization of Xfce. Thanks lintian.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Feb 2021 21:21:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                intltool,
                libglib2.0-dev (>= 2.36),
                libgtest-dev,
+               liblomiri-url-dispatcher-dev (>= 0.1),
                systemd [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
@@ -41,5 +42,5 @@
  status, switching to another user, starting a guest session, etc.
  .
  Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
  etc.).

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,6 @@
 %:
 	dh $@
 
-override_dh_install:
-	find debian/ayatana-indicator-session/usr/lib -name *.la -delete
-	find debian/ayatana-indicator-session/usr/lib -name *.a -delete
-	dh_install
-
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/tests/control ===
Test-Command: obj-*/tests/test-service
Depends: ayatana-indicator-session,
  policykit-1,
  accountsservice
Restrictions: build-needed
